Bug 656898

Summary: Opening Gnumeric Help Content causes high CPU usage
Product: [Fedora] Fedora Reporter: cschwangler
Component: yelpAssignee: Matthew Barnes <mbarnes>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 14CC: belegdol, bruce, bugzilla.redhat.com, huzaifas, mbarnes
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-16 15:10:08 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description cschwangler 2010-11-24 08:59:12 EST
Description of problem:
Opening Gnumeric Help Content (F1) causes high CPU usage (100% on my system). It stays high even if the window just sits idle.

Version-Release number of selected component (if applicable):
Fedora 14, Gnumeric 1.10.11

How reproducible:
Happens everytime

Steps to Reproduce:
1. Click Help -> Contents
2. CPU usage goes up and stays there until the help window is closed.
3. The program shown by htop to cause this is yelp ghelp:gnumeric
  
Actual results:
Up to 100% CPU usage

Expected results:
Opening the help page shouldn't cause such a high CPU usage.

Additional info:
Comment 1 Julian Sikorski 2010-11-24 15:59:34 EST
It's just yelp being slow. It does that for nautilus as well, but gnumeric's help is bigger.
Comment 2 Penelope Fudd 2011-08-02 13:01:24 EDT
I'm experiencing a similar problem.  I wanted to find out what the key bindings were, so I clicked on help/contents and then on 'keybinding reference' on the bottom right.  Yelp changed its title bar to 'Loading...', and took around 5 minutes of 100% cpu to bring it up.  Actually, I lie; I've typed this entire comment without it coming up yet.  It was my previous attempt that succeeded, only because I had to go upstairs and help with the baby.  Once the keybinding reference page loaded, it was fast to access any page in the gnumeric help.

This is no way to run a railroad^H^H^H^H^H^H^H help program.

Fedora 14,  gnumeric-1.10.16-1.fc14.i686.rpm, yelp-2.30.2-1.fc14.i686.rpm
Comment 3 Fedora End Of Life 2012-08-16 15:10:10 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping